! Plots the locus of w=1/z
! with z moving on the circle of center 1 and radius 1.
OPTION ARITHMETIC COMPLEX
LET a=4
SET WINDOW -a,a,-a,a
DRAW grid
SET POINT STYLE 1
FOR t=0 TO 2*pi STEP pi/360
   LET z=COMPLEX(1+cos(t),sin(t))
   SET POINT COLOR 3
   PLOT POINTS: re(z),im(z)
   LET w=1/z
   SET POINT COLOR 2
   PLOT POINTS: re(w),im(w)
NEXT t  
END
